%define	upstream_name	 Net-IRC
%define upstream_version 0.79

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Perl interface to the Internet Relay Chat protocol
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		%{name}-0.75-workwithlocalhost.patch
Patch2:		%{name}-0.76-no-warning.patch

Buildarch:	noarch


%description
%{upstream_name} perl module allows you to access IRC networks with perl.
It is used to program irc bot in perl or various software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc README Changes META.yml
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.790.0-10.mga9
+ Revision: 1804903
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.790.0-9.mga8
+ Revision: 1495909
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.790.0-8.mga7
+ Revision: 1269920
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.790.0-7.mga6
+ Revision: 1031104
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.790.0-6.mga6
+ Revision: 938991
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.790.0-5.mga5
+ Revision: 741811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.790.0-4.mga5
+ Revision: 685674
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.790.0-3.mga4
+ Revision: 513504
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.790.0-2.mga3
+ Revision: 370668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.790.0-1.mga1
+ Revision: 26700
- mageia rebuild
- imported package perl-Net-IRC


* Mon Dec 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.790.0-1mdv2010.1
+ Revision: 483043
- update to 0.79

* Thu Dec 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.780.0-1mdv2010.1
+ Revision: 482136
- update to 0.78

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.770.0-1mdv2010.1
+ Revision: 480752
- update to 0.77

* Fri Sep 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.760.0-2mdv2010.0
+ Revision: 449271
- ship missing modules

* Thu Sep 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.760.0-1mdv2010.0
+ Revision: 448395
- update to 0.76

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.750.0-1mdv2010.0
+ Revision: 407816
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.75-5mdv2009.0
+ Revision: 241785
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.75-3mdv2008.0
+ Revision: 25273
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.75-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.75-1mdk
- 0.75
- regenerate P0

* Sun May 09 2004 Michael Scherer <misc@mandrake.org> 0.74-2mdk 
- add patch0 to refix issues of bug #3715

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.74-1mdk
- 0.74

* Mon Aug 18 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.70-1mdk
- initial mdk release

